Subject: Re: Tasking not implemented on this configuration - again
From: Peter W Meyer <[email-masked]>
To: "Gerrit P. Haase" <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Oct 2005 17:23:57 -0400

Peter W Meyer wrote:
> I am also trying to run tasking using GCC-Ada and cygwin and I'm getting
> the Tasking not implemented message.  I took a look at the emails
regarding
> this and the responses.
>
> I went back to Cygwin setup to see what I had installed already and found
> that I already had the Mingw run-time, the Ada compiler and the Ada core
> components.  The version numbers match the ones from the previous
messages.
> I have GCC-Ada 3.4.4-1, GCC-Ada Core 3.4.4-1, W32API 3.3-1, and
> Minw-runtime 3.8-1.  I installed these using Cygwin
>
> Is there something else I need?  Are the files from Mingw.org different
> from those at Cygwin?

Yes, the Mingw.org is a native Windows version of GCC, the Cygwin
version is linked against cygwin1.dll.

I'll try to figure out if it is possible to enable Ada tasking without
regressions.

Gerrit
--
=^..^=

If I understand the answer correctly, I should download the Mingw.org
version of GCC into  cygwin/lib/gcc (that's how I have it on my system) and
that will allow me to use the native windows version of GCC.

thanks for the advice,

Peter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/